## ros-galactic-moveit-ros-perception 2.3.4

=== lazy_free_space_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_lazy_free_space_updater)

add_library(${MOVEIT_LIB_NAME} SHARED src/lazy_free_space_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
if(APPLE)
  target_link_libraries(${MOVEIT_LIB_NAME} OpenMP::OpenMP_CXX)
endif()
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_ros_occupancy_map_monitor
  Boost
  sensor_msgs
)

install(DIRECTORY include/ DESTINATION include)

=== point_containment_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_point_containment_filter)

add_library(${MOVEIT_LIB_NAME} SHARED src/shape_mask.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  sensor_msgs
  geometric_shapes
  Boost
)

install(DIRECTORY include/ DESTINATION include)

=== pointcloud_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pointcloud_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core SHARED src/pointcloud_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
  rclcpp
  moveit_core
  tf2_ros
  message_filters
  sensor_msgs
  moveit_ros_occupancy_map_monitor
  tf2_geometry_msgs
  tf2
  Boost
)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_point_containment_filter)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES LINK_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_core
  tf2_ros
  message_filters
  sensor_msgs
  moveit_ros_occupancy_map_monitor
  tf2_geometry_msgs
  tf2
  Boost
  pluginlib
)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)

install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-galactic-moveit-ros-perception (2.3.4-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-ros-perception (2.3.3-1focal) focal; urgency=high

  * Fix boost linking errors for Windows (#957 <https://github.com/ros-planning/moveit2/issues/957>) (#1001 <https://github.com/ros-planning/moveit2/issues/1001>)
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-ros-perception (2.3.2-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-perception (2.3.1-1focal) focal; urgency=high

  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clipped points should only be considered up to the max_range (#2848 <https://github.com/ros-planning/moveit/issues/2848>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Kaustubh, Michael Görner, Robert Haschke, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 07:00:00 -0000

ros-galactic-moveit-ros-perception (2.3.0-1focal) focal; urgency=high

  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Refactors for OccMapTree in PlanningScene (#2684 <https://github.com/ros-planning/moveit2/issues/2684>)
  * Move OccMapTree to moveit_core/collision_detection
  * Contributors: Akash, Henning Kayser, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, Nisala Kalupahana, Jorge Nicho, Tyler Weaver, Lior Lustgarten

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Oct 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.2.1-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.2.0-1focal) focal; urgency=high

  * Compilation fixes for MoveIt on macOS (#498 <https://github.com/ros-planning/moveit2/issues/498>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * document solution in ROS_ERROR on failed self-filtering (#2627 <https://github.com/ros-planning/moveit/issues/2627>)
    * Fixed flood of errors on startup for mesh_filter (#2550 <https://github.com/ros-planning/moveit/issues/2550>)
    * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * Contributors: Jafar Abdi, JafarAbdi, John Stechschulte, Michael Görner, Nisala Kalupahana, Robert Haschke, Simon Schmeisser, Tyler Weaver

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.1.4-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 May 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.1.3-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.1.2-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.1.1-1focal) focal; urgency=high

  * Fix porting errors in depth_image_octomap_updater (#383 <https://github.com/ros-planning/moveit2/issues/383>)
    * Fix error of not being able to receive depth image
    * Fix mismatching time source
  * Port moveit_ros_perception/depth_image_octomap_updater (#354 <https://github.com/ros-planning/moveit2/issues/354>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Porting moveit_ros_perception/pointcloud_octomap_updater (#307 <https://github.com/ros-planning/moveit2/issues/307>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Tyler Weaver, Yu Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-galactic-moveit-ros-perception (2.0.0-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-galactic-moveit-ros-perception (1.1.1-1focal) focal; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, G.A. vd. Hoorn, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-galactic-moveit-ros-perception (1.1.0-1focal) focal; urgency=high

  * [feature] Utilize new geometric_shapes functions to improve performance (#2038 <https://github.com/ros-planning/moveit/issues/2038>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix getTransform() (#2113 <https://github.com/ros-planning/moveit/issues/2113>)


=== debian/control ===
Source: ros-galactic-moveit-ros-perception
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-cv-bridge, ros-galactic-image-transport, ros-galactic-message-filters, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-moveit-ros-planning, ros-galactic-object-recognition-msgs, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-ros-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-galactic-cv-bridge, ros-galactic-image-transport, ros-galactic-message-filters, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-ros-occupancy-map-monitor, ros-galactic-moveit-ros-planning, ros-galactic-object-recognition-msgs, ros-galactic-pluginlib (>= 1.11.2), ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-eigen, ros-galactic-tf2-geometry-msgs, ros-galactic-tf2-ros, ros-galactic-urdf, ros-galactic-ros-workspace
Description: Components of MoveIt connecting to perception

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-ros-perception//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
